# Repzo API - Custom Status

OpenAPI specification for Repzo Custom Status endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/custom-status`

#### GET /custom-status

**Summary:** Find custom statuses

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering custom statuses |

##### Responses

**200** - A list of custom statuses

Content-Type: `application/json`

---

#### POST /custom-status

**Summary:** Create a custom status

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Custom status created

Content-Type: `application/json`

---

### `/custom-status/{id}`

#### GET /custom-status/{id}

**Summary:** Get a custom status by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Custom status details

Content-Type: `application/json`

---

#### PUT /custom-status/{id}

**Summary:** Update a custom status

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Custom status updated

Content-Type: `application/json`

---

#### DELETE /custom-status/{id}

**Summary:** Remove a custom status

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Custom status removed

Content-Type: `application/json`

---

## Data Models

### CustomStatusFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### CustomStatusCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `color` | string | No | No description |

| `entity` | string | No | No description |

| `disabled` | boolean | No | No description |

### CustomStatusCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### CustomStatusGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### CustomStatusUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `color` | string | No | No description |

| `entity` | string | No | No description |

| `disabled` | boolean | No | No description |

### CustomStatusUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### CustomStatusRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### CustomStatus

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `color` | string | No | No description |

| `entity` | string | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [custom-status-examples.md](./custom-status-examples.md) for detailed TypeScript usage examples.
